# Mobilizon

## Description

Experience Mobilizon, an open-source event management platform that empowers communities to create, manage, and attend events with ease. Mobilizon puts privacy and decentralization first, giving you full control over your data and how you engage with your audience.

## Overview

This role deploys Mobilizon using Docker, automating the setup of your event management platform along with its underlying database. With support for health checks, persistent storage for uploads and configuration, and seamless integration with an Nginx reverse proxy, Mobilizon is configured to provide reliable and scalable event hosting for your community.

## Features

- **Event Scheduling:** Create and manage events with rich metadata and RSVP functionality.  
- **Community-Driven:** Foster connections with built-in discussion and follow features for organizers and participants.  
- **Privacy-First:** Self-hosted solution ensures data ownership and GDPR-compliance.  
- **Customizable Setup:** Configure database connections, instance settings, and admin credentials via environment variables and a TOML configuration file.  
- **Scalable Deployment:** Use Docker to ensure your event platform grows seamlessly with your community’s needs.

## Further Resources

- [Mobilizon Official Website](https://mobilizon.org)

## Credits

Developed and maintained by **Kevin Veen-Birkenbach**.  
Learn more at [veen.world](https://www.veen.world).

Part of the [CyMaIS Project](https://github.com/kevinveenbirkenbach/cymais)  
Licensed under [CyMaIS NonCommercial License (CNCL)](https://s.veen.world/cncl)
